.service-area-hero {
    width: 100% !important;
    max-height: 700px !important;
    object-fit: cover !important;
    object-position: center !important;
}

.service-area-hero-box {
    max-width: 700px;
    width: 100%;
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(1px);
    border-radius: 16px;
    padding: 30px;
    /* Give it proper internal padding */
    text-align: left;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
}

.service-area-hero-heading {
    color: white;
    font-size: clamp(32px, 4vw, 46px);
    margin-bottom: 20px;
    text-align: start;
}

.service-area-hero-description {
    text-align: start;
    color: white;
}

.hero-position {
    left: 10%;
    top: 20%;
}

@media (min-width: 1400px) {
    .hero-position {
        left: 10%;
        top: 20%;
    }
}

@media only screen and (min-width: 1200px) and (max-width: 1400px) {
    .hero-position {
        left: 10%;
        top: 25%;
    }
}

@media only screen and (min-width: 992px) and (max-width: 1200px) {
    .hero-position {
        left: 10%;
        top: 25%;
    }
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
    .hero-position {
        left: 5%;
        top: 20%;
    }

    .service-area-hero-heading {
        font-size: 35px;
    }
}

@media only screen and (min-width: 0px) and (max-width: 768px) {
    .hero-position {
        left: 5%;
        top: auto;
        bottom: 20px;
        width: 90%;
        margin-top: 0;
    }

    .service-area-hero-box {
        max-width: 100%;
        padding: 20px;
    }

    .service-area-hero-heading {
        font-size: 30px;
    }
}